=== kaddressbook/plugins/CMakeLists.txt ===
add_definitions(-DTRANSLATION_DOMAIN=\"kaddressbook_plugins\")

add_subdirectory(mergelib)
add_subdirectory(mergecontacts)
add_subdirectory(searchduplicates)
add_subdirectory(sendvcards)
add_subdirectory(sendmail)
add_subdirectory(checkgravatar)
