=== kmail/editorinitplugins/CMakeLists.txt ===
add_definitions(-DTRANSLATION_DOMAIN=\"kmail_editorinit_plugins\")
add_subdirectory(externalcomposer)
