=== plugins/messageviewer/CMakeLists.txt ===
add_subdirectory(bodypartformatter)
add_subdirectory(grantlee)
