=== debian/changelog ===
kdepim-addons (19.12.3-0ubuntu1) focal; urgency=medium

  * New build depend on libkf5kontactinterface-dev
  * Update intian overrides.
  * New upstream release (19.12.3)

 -- Rik Mills <rikmills@kde.org>  Sat, 11 Apr 2020 13:57:39 +0100

kdepim-addons (19.04.3-0ubuntu2) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Mar 2020 19:16:03 +0100
