## kdepim-addons 20.08.1

=== debian/changelog ===
kdepim-addons (20.08.1-0ubuntu1) groovy; urgency=medium

  * New upstream release (20.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Sep 2020 13:52:22 +0100

kdepim-addons (20.08.0-0ubuntu1) groovy; urgency=medium

  * New upstream release (20.08.0)
  * Update lintian overrides.

 -- Rik Mills <rikmills@kde.org>  Thu, 27 Aug 2020 09:57:30 +0100
