=== debian/control ===
--- 
+++ 
@@ -8,44 +8,44 @@
                extra-cmake-modules (>= 5.31.0~),
                libgpgme-dev,
                libgpgmepp-dev (>= 1.7.1~),
-               libkf5akonadi-dev (>= 4:19.12.3~),
-               libkf5akonadinotes-dev (>= 4:19.12.3~),
-               libkf5calendarsupport-dev (>= 4:19.12.3~),
+               libkf5akonadi-dev (>= 4:20.08.1~),
+               libkf5akonadinotes-dev (>= 4:20.08.1~),
+               libkf5calendarsupport-dev (>= 4:20.08.1~),
                libkf5config-dev (>= 5.31.0~),
-               libkf5contacteditor-dev (>= 4:19.12.3~),
+               libkf5contacteditor-dev (>= 4:20.08.1~),
                libkf5dbusaddons-dev (>= 5.31.0~),
                libkf5declarative-dev (>= 5.31.0~),
-               libkf5eventviews-dev (>= 4:19.12.3~),
-               libkf5grantleetheme-dev (>= 19.12.3~),
-               libkf5gravatar-dev (>= 4:19.12.3~),
+               libkf5eventviews-dev (>= 4:20.08.1~),
+               libkf5grantleetheme-dev (>= 20.08.1~),
+               libkf5gravatar-dev (>= 4:20.08.1~),
                libkf5holidays-dev,
                libkf5i18n-dev (>= 5.31.0~),
-               libkf5incidenceeditor-dev (>= 19.12.3~),
-               libkf5kaddressbookgrantlee-dev (>= 4:19.12.3~),
-               libkf5kaddressbookimportexport-dev (>= 4:19.12.3~),
+               libkf5incidenceeditor-dev (>= 20.08.1~),
+               libkf5kaddressbookgrantlee-dev (>= 4:20.08.1~),
+               libkf5kaddressbookimportexport-dev (>= 4:20.08.1~),
                libkf5khtml-dev (>= 5.31.0~),
-               libkf5kontactinterface-dev (>= 19.12.3~),
-               libkf5ksieve-dev (>= 4:19.12.3~),
-               libkf5libkdepim-dev (>= 4:19.12.3~),
-               libkf5libkleo-dev (>= 4:19.12.3~),
-               libkf5mailcommon-dev (>= 4:19.12.3~),
-               libkf5mailimporter-dev (>= 4:19.12.3~),
-               libkf5messagecomposer-dev (>= 4:19.12.3~),
-               libkf5messagecore-dev (>= 4:19.12.3~),
-               libkf5messagelist-dev (>= 4:19.12.3~),
-               libkf5messageviewer-dev (>= 4:19.12.3~),
-               libkf5mimetreeparser-dev (>= 4:19.12.3~),
-               libkf5pimcommon-dev (>= 4:19.12.3~),
+               libkf5kontactinterface-dev (>= 20.08.1~),
+               libkf5ksieve-dev (>= 4:20.08.1~),
+               libkf5libkdepim-dev (>= 4:20.08.1~),
+               libkf5libkleo-dev (>= 4:20.08.1~),
+               libkf5mailcommon-dev (>= 4:20.08.1~),
+               libkf5mailimporter-dev (>= 4:20.08.1~),
+               libkf5messagecomposer-dev (>= 4:20.08.1~),
+               libkf5messagecore-dev (>= 4:20.08.1~),
+               libkf5messagelist-dev (>= 4:20.08.1~),
+               libkf5messageviewer-dev (>= 4:20.08.1~),
+               libkf5mimetreeparser-dev (>= 4:20.08.1~),
+               libkf5pimcommon-dev (>= 4:20.08.1~),
                libkf5prison-dev (>= 5.39.0~),
                libkf5syntaxhighlighting-dev,
-               libkf5templateparser-dev (>= 4:19.12.3~),
-               libkf5tnef-dev (>= 4:19.12.3~),
-               libkf5webengineviewer-dev (>= 4:19.12.3~),
+               libkf5templateparser-dev (>= 4:20.08.1~),
+               libkf5tnef-dev (>= 4:20.08.1~),
+               libkf5webengineviewer-dev (>= 4:20.08.1~),
                libkf5xmlgui-dev (>= 5.31.0~),
-               libkpimgapi-dev (>= 19.12.3~),
-               libkpimimportwizard-dev (>= 4:19.12.3~),
-               libkpimitinerary-dev (>= 19.12.3~),
-               libkpimpkpass-dev (>= 19.12.3~),
+               libkpimgapi-dev (>= 20.08.1~),
+               libkpimimportwizard-dev (>= 4:20.08.1~),
+               libkpimitinerary-dev (>= 20.08.1~),
+               libkpimpkpass-dev (>= 20.08.1~),
                libmarkdown2-dev (>= 2),
                libpoppler-qt5-dev,
                libqt5webchannel5-dev (>= 5.6.1~),
