## kdepim-addons 20.08.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,16 +1,15 @@
 cmake_minimum_required(VERSION 3.5)
-set(PIM_VERSION "5.13.3")
+set(PIM_VERSION "5.15.3")
 
 project(kdepim-addons VERSION ${PIM_VERSION})
 if(POLICY CMP0063)
   cmake_policy(SET CMP0063 NEW)
 endif()
 
-set(KF5_MIN_VERSION "5.63.0")
+set(KF5_MIN_VERSION "5.71.0")
 
 find_package(ECM ${KF5_MIN_VERSION} CONFIG REQUIRED)
 set(CMAKE_MODULE_PATH  ${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules/ ${ECM_MODULE_PATH})
-set(CMAKE_AUTORCC TRUE)
 
 # Do NOT add quote
 set(KDEPIM_DEV_VERSION)
@@ -26,8 +25,8 @@
 set(KDEPIMADDONS_LIB_VERSION "${KDEPIMADDONS_VERSION_NUMBER}")
 set(KDEPIMADDONS_LIB_SOVERSION "5")
 
-set(AKONADINOTES_LIB_VERSION "5.13.3")
-set(QT_REQUIRED_VERSION "5.11.0")
+set(AKONADINOTES_LIB_VERSION "5.15.3")
+set(QT_REQUIRED_VERSION "5.13.0")
 
 
 include(ECMInstallIcons)
@@ -48,8 +47,6 @@
 include(ECMAddAppIcon)
 include(ECMQtDeclareLoggingCategory)
 
-option(KDEPIMADDONS_BUILD_EXAMPLES "Build the kdepim-addons example applications." TRUE)
-
 option(KDEPIM_ENTERPRISE_BUILD "Enable features specific to the enterprise branch, which are normally disabled. Also, it disables many components not needed for Kontact such as the Kolab client." FALSE)
 
 find_package(Qt5 ${QT_REQUIRED_VERSION} CONFIG REQUIRED WebEngine WebEngineWidgets Widgets Test)
@@ -67,32 +64,32 @@
 find_package(KF5Prison ${KF5_MIN_VERSION} CONFIG REQUIRED)
 find_package(KF5Holidays ${KF5_MIN_VERSION} CONFIG REQUIRED)
 
-set(MAILCOMMON_LIB_VERSION "5.13.3")
-set(GRAVATAR_LIB_VERSION "5.13.3")
-set(PIMCOMMON_LIB_VERSION "5.13.3")
-set(GRANTLEETHEME_LIB_VERSION "5.13.3")
-set(CALENDARSUPPORT_LIB_VERSION "5.13.3")
-set(EVENTVIEW_LIB_VERSION "5.13.3")
-set(LIBKDEPIM_LIB_VERSION "5.13.3")
-set(KDEPIM_APPS_LIB_VERSION "5.13.3")
-set(LIBKLEO_LIB_VERSION "5.13.3")
-set(AKONADI_LIB_VERSION "5.13.3")
-set(INCIDENCEEDITOR_LIB_VERSION "5.13.3")
-set(KTNEF_LIB_VERSION "5.13.3")
-set(MESSAGELIB_LIB_VERSION "5.12.81")
-set(AKONADICALENDAR_LIB_VERSION "5.13.3")
-set(CALENDAR_UTILS_VERSION "5.13.3")
-set(KPIMTEXTEDIT_LIB_VERSION "5.13.3")
-set(KIMAP_LIB_VERSION "5.13.3")
-set(LIBKSIEVE_LIB_VERSION "5.13.3")
-set(KMAILTRANSPORT_LIB_VERSION "5.13.3")
-set(AKONADICONTACT_LIB_VERSION "5.13.3")
-set(IMPORTWIZARD_LIB_VERSION "5.13.3")
-set(MAILIMPORTER_LIB_VERSION "5.13.3")
-set(KPIMPKPASS_LIB_VERSION "5.13.3")
-set(KPIMITINERARY_LIB_VERSION "5.13.3")
-set(KONTACTINTERFACE_LIB_VERSION "5.13.3")
-set(CALENDARSUPPORT_LIB_VERSION_LIB "5.13.3")
+set(MAILCOMMON_LIB_VERSION "5.15.3")
+set(GRAVATAR_LIB_VERSION "5.15.3")
+set(PIMCOMMON_LIB_VERSION "5.15.3")
+set(GRANTLEETHEME_LIB_VERSION "5.15.3")
+set(CALENDARSUPPORT_LIB_VERSION "5.15.3")
+set(EVENTVIEW_LIB_VERSION "5.15.3")
+set(LIBKDEPIM_LIB_VERSION "5.15.3")
+set(KDEPIM_APPS_LIB_VERSION "5.15.3")
+set(LIBKLEO_LIB_VERSION "5.15.3")
+set(AKONADI_LIB_VERSION "5.15.3")
+set(INCIDENCEEDITOR_LIB_VERSION "5.15.3")
+set(KTNEF_LIB_VERSION "5.15.3")
+set(MESSAGELIB_LIB_VERSION "5.15.3")
+set(AKONADICALENDAR_LIB_VERSION "5.15.3")
+set(CALENDAR_UTILS_VERSION "5.15.3")
+set(KPIMTEXTEDIT_LIB_VERSION "5.15.3")
+set(KIMAP_LIB_VERSION "5.15.3")
+set(LIBKSIEVE_LIB_VERSION "5.15.3")
+set(KMAILTRANSPORT_LIB_VERSION "5.15.3")
+set(AKONADICONTACT_LIB_VERSION "5.15.3")
+set(IMPORTWIZARD_LIB_VERSION "5.15.3")
+set(MAILIMPORTER_LIB_VERSION "5.15.3")
+set(KPIMPKPASS_LIB_VERSION "5.15.3")
+set(KPIMITINERARY_LIB_VERSION "5.15.3")
+set(KONTACTINTERFACE_LIB_VERSION "5.15.3")
+set(CALENDARSUPPORT_LIB_VERSION_LIB "5.15.3")
 find_package(KF5CalendarCore ${KF5_MIN_VERSION} CONFIG REQUIRED)
 find_package(KF5CalendarUtils ${CALENDAR_UTILS_VERSION} CONFIG REQUIRED)
 find_package(KF5WebEngineViewer ${MESSAGELIB_LIB_VERSION} CONFIG REQUIRED)
@@ -104,7 +101,7 @@
 find_package(KF5Libkleo ${LIBKLEO_LIB_VERSION} CONFIG REQUIRED)
 find_package(KF5GrantleeTheme ${GRANTLEETHEME_LIB_VERSION} CONFIG REQUIRED)
 find_package(KF5PimCommonAkonadi ${PIMCOMMON_LIB_VERSION} CONFIG REQUIRED)
-find_package(KF5LibkdepimAkonadi ${LIBKDEPIM_LIB_VERSION} CONFIG REQUIRED)
+find_package(KF5Libkdepim ${LIBKDEPIM_LIB_VERSION} CONFIG REQUIRED)
 find_package(KF5IncidenceEditor ${INCIDENCEEDITOR_LIB_VERSION} CONFIG REQUIRED)
 find_package(KF5MessageCore ${MESSAGELIB_LIB_VERSION} CONFIG REQUIRED)
 find_package(KF5MessageComposer ${MESSAGELIB_LIB_VERSION} CONFIG REQUIRED)
@@ -131,6 +128,7 @@
 find_package(KF5CalendarSupport ${CALENDARSUPPORT_LIB_VERSION_LIB} CONFIG REQUIRED)
 
 set(CMAKE_CXX_STANDARD 14)
+set(CMAKE_CXX_STANDARD_REQUIRED ON)
 
 if(BUILD_TESTING)
    add_definitions(-DBUILD_TESTING)
@@ -145,16 +143,12 @@
 # Extra package
 find_package(Gpgmepp 1.11.1 CONFIG)
 set_package_properties(Gpgmepp PROPERTIES DESCRIPTION "GpgME library" URL "https://www.gnupg.org" TYPE REQUIRED)
-if (EXISTS "${CMAKE_SOURCE_DIR}/.git")
-   add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x050e00)
-   add_definitions(-DKF_DISABLE_DEPRECATED_BEFORE_AND_AT=0x054000)
-endif()
+add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x050e00)
+add_definitions(-DKF_DISABLE_DEPRECATED_BEFORE_AND_AT=0x054800)
 
 add_definitions(-DQT_NO_FOREACH)
+add_definitions(-DQT_NO_KEYWORDS)
 option(KDEPIM_RUN_AKONADI_TEST "Enable autotest based on Akonadi." TRUE)
-if(KDEPIMADDONS_BUILD_EXAMPLES)
-  add_subdirectory(examples)
-endif()
 include_directories(${CMAKE_CURRENT_SOURCE_DIR})
 
 set(QTCREATOR_TEMPLATE_INSTALL_DIR ${KDE_INSTALL_DATADIR}/qtcreator/templates CACHE PATH "Define qtcreator template install path (default is /usr/share/qtcreator/templates)")
@@ -185,6 +179,10 @@
   add_subdirectory(akonadi-import-wizard)
 endif()
 
-install(FILES kdepim-addons.categories kdepim-addons.renamecategories  DESTINATION  ${KDE_INSTALL_LOGGINGCATEGORIESDIR})
+ecm_qt_install_logging_categories(
+    EXPORT KDEPIMADDONS
+    FILE kdepim-addons.categories
+    DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR}
+    )
 feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)
 ki18n_install(po)
