=== kaddressbook/CMakeLists.txt ===
add_subdirectory( editorpages )
add_subdirectory( plugins )
add_subdirectory( importexportplugins )
