=== korganizer/CMakeLists.txt ===
add_definitions(-DTRANSLATION_DOMAIN=\"korganizer_plugins\")
add_subdirectory(plugins)
add_subdirectory(emailaddressselectionldapdialog)
