=== kaddressbook/importexportplugins/ldap/CMakeLists.txt ===
set(kaddressbook_importexport_ldap_SRCS
    ldapimportexportplugin.cpp
    ldapimportexportplugininterface.cpp
    )


kcoreaddons_add_plugin(kaddressbook_importexportldapplugin JSON kaddressbook_importexportldapplugin.json SOURCES
    ${kaddressbook_importexport_ldap_SRCS} INSTALL_NAMESPACE kaddressbook/importexportplugin)

target_link_libraries(kaddressbook_importexportldapplugin KF5::KaddressbookImportExport
        KF5::AkonadiCore
        KF5::I18n
        KF5::XmlGui
        KF5::Contacts
        kaddressbookimportexportlibprivate
        KF5::PimCommonAkonadi
    )
