=== kaddressbook/plugins/mergecontacts/CMakeLists.txt ===
--- 
+++ 
@@ -5,7 +5,7 @@
 
 
 kcoreaddons_add_plugin(kaddressbook_mergecontactsplugin JSON kaddressbook_mergecontactsplugin.json SOURCES
-    ${kaddressbook_mergecontactsplugin_SRCS} INSTALL_NAMESPACE kaddressbook)
+    ${kaddressbook_mergecontactsplugin_SRCS} INSTALL_NAMESPACE kaddressbook/mainview)
 
 target_link_libraries(kaddressbook_mergecontactsplugin
   KF5::PimCommon KF5::Completion  KF5::PimCommonAkonadi KF5::XmlGui kaddressbookmergelibprivate KF5::I18n
