## kdepim-addons 20.12.3

=== debian/changelog ===
kdepim-addons (20.12.3-0ubuntu1) hirsute; urgency=medium

  * New upstream release (20.12.3)
  * Update lintian overrides.
  * Build depend on kaddressbook to fix import/export.

 -- Rik Mills <rikmills@kde.org>  Thu, 04 Mar 2021 15:18:53 +0000

kdepim-addons (20.12.2-0ubuntu1) hirsute; urgency=medium

  * New upstream release (20.12.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 04 Feb 2021 09:53:06 +0000

kdepim-addons (20.12.1-0ubuntu1) hirsute; urgency=medium

  * New upstream release (20.12.1)

 -- Rik Mills <rikmills@kde.org>  Wed, 20 Jan 2021 23:09:34 +0000

kdepim-addons (20.12.0-0ubuntu1) hirsute; urgency=medium

  * New upstream release (20.12.0)
  * Update build depends.

 -- Rik Mills <rikmills@kde.org>  Fri, 11 Dec 2020 14:26:09 +0000

kdepim-addons (20.08.3-0ubuntu1) hirsute; urgency=medium

  * New upstream release (20.08.3)

 -- Rik Mills <rikmills@kde.org>  Wed, 11 Nov 2020 09:50:39 +0000
